#include <Arduino.h>
//#include <Wire.h>
#include <OLED_I2C.h>

#define SDA 12
#define SCL 13

OLED myOLED(SDA, SCL);
extern uint8_t BigNumbers[];

#define SORTIE_ALIM 4
#define LED_FLASH 4
#define LED_BUILTIN 33
#define MyLED LED_FLASH

int count = 7;
bool sortieAlim = false;


void setup() {
  pinMode(SORTIE_ALIM, OUTPUT);
  digitalWrite(SORTIE_ALIM, LOW);

  myOLED.begin(SSD1306_128X32);
  myOLED.setFont(BigNumbers);
  myOLED.clrScr();
  myOLED.print("Hello, world!", CENTER, 0);
  myOLED.update();
}


void loop() {
  digitalWrite(SORTIE_ALIM, HIGH);

  for (int i = count; i > 0; i--)
  {
    char cstr[16];
    itoa(i, cstr, 10);
    
    myOLED.clrScr();
    myOLED.print(cstr, CENTER, 0);
    myOLED.update();
    delay(1000);
  }
  digitalWrite(SORTIE_ALIM, LOW); 
  delay(1000);
}